%
% Driver for the condspecgal routine
%

sigma = @(x) 1;
range = [2,4,8,12,16,18,20,22,23,24];

cond_intleg_v = []; cond_monom_v = [];
for N = range
    [condintleg, condmonom] = condspecgal(sigma, N);
    cond_intleg_v = [cond_intleg_v; condintleg];
    cond_monom_v  = [cond_monom_v;  condmonom];
end

figure; hold on
%set(gca,'xscale','log');
%set(gca,'yscale','log');
plot(range', cond_intleg_v, '-or');
plot(range', cond_monom_v,  '-xg');
hold off
