function mufinal = nestitbrachlin(uend,L,tol)

u0 = [0;0];
mu = [u0, (u0+uend)/2, uend];
level=0;

while(level<L+1)
    mu_new = solvebrachlin(mu,tol);
    meshsize = 1/(2^(level+1));
    level = level+1;
    clear mu;
    mu(1,:) = linterp(0:meshsize:1,mu_new(1,:),0:meshsize/2:1);
    mu(2,:) = linterp(0:meshsize:1,mu_new(2,:),0:meshsize/2:1);
end
mufinal(1,:) = mu(1,:);
mufinal(2,:) = mu(2,:);