u0 = [0;0];
u1 = [pi;-2];
M = 4;
mesh = linspace(0,1,M+1);
h = mesh(2)-mesh(1);
mu = u0*(1-(0:1/M:1))+u1*(0:1/M:1);

fprintf('\n\n##sigma:')
xi = h/2:h:(1-h/2);
sigma(mu, xi)

fprintf('\n\n##sourcefn:')
xxi = h:h:(1-h);
sourcefn(mu,xxi)

fprintf('\n\n#traveltime:')
traveltime(mu)

fprintf('\n\n##Rmat:')
Rmat(mu)

fprintf('\n\n##rhs:')
rhs(mu)

fprintf('\n\n##solvebrachlin:')
solvebrachlin(mu,10^(-5))

fprintf('\n\n##nestitbrachlin:')
nestitbrachlin([pi;-2],3,10^(-5))