function fig_prepare(varargin)

conf = struct();
conf.size = [650 350];
if nargin == 1
  conf = varargin{1};
elseif nargin == 2
  conf.its = varargin{1};
  conf.myFontsize = varargin{2};
end

its = 1:1; if isfield(conf, 'its'), its = conf.its; end
myFontsize = conf.myFontsize;
paperPosition = [0 0 conf.size(1) conf.size(2)];

for i=its
  figure(i);
  set(gcf, 'PaperPositionMode', 'manual');
  set(gcf, 'PaperUnits', 'points');
  set(gcf, 'PaperPosition', paperPosition);

  h = legend; 
  h = legend(h, 'Location', 'NorthWest');
  set(h,'FontSize', myFontsize)
  set(get(gca,'xlabel'),'fontsize', myFontsize)
  set(get(gca,'ylabel'),'fontsize', myFontsize)
  set(get(gca,'zlabel'),'fontsize', myFontsize)
  set(get(gca,'title'),'fontsize', myFontsize)
  set(gca,'fontsize', myFontsize);
end

