function C = getGalMat(sigma, N)

    [x,w] = gauleg(0,1,3*N);

    C = cos(pi*x*(1:N));                
    % C(k,i) = cos(pi i x_k)

    D = bsxfun(@times, C, sigma(x));    
    D = bsxfun(@times, D, w);
    % D(k,i) = cos(pi i x_k) sigma(x_k) w_k

    C = C' * D;                         
    % C(i,j) = sum_k cos(pi i x_k) cos(pi j x_k) sigma(x_k) w_k

    C = bsxfun(@times, C, 1:N);
    C = bsxfun(@times, C, (1:N)');
    C = pi^2 * C;

end
